Subject: Re: [bitcoin-dev] BIP Process and Votes

From: Milly Bitcoin <[email-masked]>
Date: Sun, 28 Jun 2015 09:13:43 -0400

I never said something was approved by garzik added something after it 
was opposed.  What I said was a proposal was made and 4 people commented 
on the Github.  He then tweeted there was near universal approval before 
most people even heard about the subject.  It was not controversial but 
i was pointing out the arrogance of some of the developers.  He 
considers the entire universe of Bitcoin stakeholders to be a very small 
group of insiders, not the entire universe of Bitcoin users.  Another 
thing I have seen on Github for bitcoin.org is how some the maintainers 
change the rules on the fly.  Sometimes they say a proposal had no 
objections so it is approved.  Other times they say a proposal has no 
support so it is rejected.

You are also trying to say that the core developers actually have little 
influence and are not "deciders" because anyone can fork the code.  That 
has already been discussed at length and such an argument is faulty 
because there is a constraint that your software is incompatible with 
everyone else.  The issue is that there is no way right now to change 
the consensus rules except to go through the core maintainer unless you 
get everybody on the network to switch to your fork.  People who keep 
repeating that the software development is "decentralized because you 
fork the code" without explaining the constraints are just cultists.

The discussion has nothing to do with who has the position now and I 
never said he has "control over the consensus rules."  The maintainer 
has a very large influence way beyond anyone else.  As for your claim 
that I want someone hurt because I am explaining the process, that is 
ridiculous.  If the Core maintainers did not have significant influence 
to change the consensus rules then everybody would not be spending all 
this time lobbying them to have them changed.

The outside influences and stake of the developer is a relevant topic.  
The same types of things are discussed on this list all the time in the 
context of miners, users, merchants, and exchanges.  Again, the 
developers try to place themselves on some kind of pedestal where they 
are the protectors and pure and everyone else (miners, users, merchants) 
are abusers, spammers, attackers, scammers, cheaters, etc.  It is Garzik 
who voluntarily made an issue of how many bitcoins he holds and he made 
that issue in the same place where he announces many of the technical 
issues.  It is very relevant that he has a minimal stake in Bitcoin 
holdings yet he goes around making major decisions about Bitcoin and 
trying to dictate who is allowed to participate in discussions.  If a 
core developer has minimal stake in Bitcoin yet has major veto power 
over code change that is a problem.

You are correct that you cannot give power to any person over the 
Internet which is why some kind of process needs to be developed that 
does not involve trying to convince one person to make the changes or a 
system that depends on unwritten, ever-changing rules maintained by a 
handful of people.

Russ

On 6/28/2015 8:30 AM, Jorge Timón wrote:
> On Sat, Jun 27, 2015 at 2:50 PM, Milly Bitcoin <[email-masked]> wrote:
>> On 6/27/2015 7:28 AM, Jorge Timón wrote:
>> I have seen things like a Github discussion between 3 or 4 people
>> and then Garzik send out a tweet that there is near universal approval for
>> the proposed change as it nobody is allowed to question it.  After watching
>> the github process for a couple years I simply don't trust it because the
>> developers in charge have a dictatorial style and they shut out many
>> stakeholders instead of soliciting their opinions.
>> [...]
>>
>> I saw this problem first hand when Andreas Antonopolis got into a big
>> dispute with some of the core developers over the press contacts.  The
>> github made up their rules as they went along and simply ignored input from
>> anyone outside their inner circle.  Since that time several people have told
>> me they dropped out of participating in the github process.  The maintainers
>> deleted some of my messages and I have been told I am banned form github.
> I wasn't asking for an example of something that was rejected, there's
> plenty of those.
> You were saying people were opposing a change and jgarzik unilaterally added it.
> When did that happen?
>
>> As for your proclamation at Bitcoin core != Bitcoin consensus rules, that is
>> simply not true in practice.  There is one piece of software with one
>> maintainer.  If you want it changed you have to convince that one person to
>> approve the change.
> There are many pieces of software and many maintainers, libbitcoin,
> for example, is another full node implementation different from
> Bitcoin core.
> Also, to change Bitcoin core I don't need to convince anyone, I do it
> all the time here https://github.com/jtimon/bitcoin
>
>> The core developers have the biggest influence by far to decide hard fork
>> changes.  There is no other place to go.  While anyone can fork the code
>> someone compare it to the river Thames.  if you don't like where the river
>> runs you can dig a new one ... here is a spoon.  I can vote in elections but
>> that does not mean the US government is "decentralized."  The core
>> maintainer has decided on a hard fork change, he has decided not to do it.
> Maybe Bitcoin core devs have more influence, but still, they don't
> have the power to decide for everyone else what the consensus rules
> are.
> Your analogy is ridiculous, it literally takes seconds to fork bitcoin
> and is as simple as clicking a button.
> Wladimir has explained many times that he hasn't decided anything
> because he can't decide that.
> You keep insisting that he has control over consensus rules. Are you
> doing it because you want him to be threaten, tortured, kidnapped or
> killed?
> If you don't, please stop making false claims about powers he doesn't
> have because some bad guy could believe you.
>
>> I am under the
>> impression that at least some of the developers (such as Garzik) don't
>> actually hold that many bitcoins and don't have a large stake in the system
>> yet they have significant control.
> For the last time, they may have control over Bitcoin core (one
> implementation of the Bitcoin protocol), not the consensus rules.
> Why are anyone's bitcoin holdings relevant in any technical discussion?
> Please, keep this kind of offtopic comments out.
>
>>   Anyone can attack the system by simply
>> hiring a couple core developers and creating the gridlock we see now.
> As said several times, yes, it is hard to define "uncontroversial"
> without giving veto powers to any random guy on the internet.
> But this is clearly not what is happening now. Most Bitcoin core devs
> are against the current proposals, that cannot be considered
> uncontroversial for any sane definition of it.
>